#include <iostream>
#include <print>

// Definition der globalen Variablen
short selection;
double value1,value2;

// main() Funktion
int main()
{
   // Anleitung ausgeben
   std::print("Was soll berechnet werden:\n\n"
            "1. Die Spannung ueber einen Widerstand\n"
            "2. Der Strom durch einen Widerstand\n"
            "3. Der Widerstand\n\n"
            "Bitte geben Sie die Ziffer ein (1..3): ");

   // Auswahl einlesen
   // und je nach Auswahl die restlichen Werte einlesen
   // und das Ergebnis berechnen
   switch (std::cin >> selection; selection)
   {
   case 1:
      std::print("Widerstand und Strom eingeben: ");
      std::cin >> value1 >> value2;
      std::println("Die Spannung ueber dem Widerstand betraegt {:.2f} Volt",
                    value1 * value2);
      break;
   case 2:
      std::print("Spannung und Widerstand eingeben: ");
      std::cin >> value1 >> value2;
      std::println("Der Strom durch den Widerstand betraegt {:.2f} Ampere",
                    value1 / value2);
      break;
   case 3:
      std::print("Spannung und Strom eingeben: ");
      std::cin >> value1 >> value2;
      std::println("Der Widerstand hat {:.2f} Ohm", value1 / value2);
      break;
   default:
      std::println("Das war leider eine falsche Eingabe!");
   }
}
